openSUSE Security Update : openldap2 (openSUSE-2017-936)

medium Nessus Plugin ID 102555
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for openldap2 fixes the following issues :

- Let OpenLDAP read system wide certificate directory by default and avoid hiding the error if user specified CA location cannot be read (boo#1009470).

- Fix CVE-2017-9287: openldap2: Double free vulnerability with patch (boo#1041764)

- Fix an uninitialized variable that causes startup failure (boo#1037396)

- Fix a regression in handling of non-blocking connection with (boo#1031702)

Solution

Update the affected openldap2 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1009470

https://bugzilla.opensuse.org/show_bug.cgi?id=1031702

https://bugzilla.opensuse.org/show_bug.cgi?id=1037396

https://bugzilla.opensuse.org/show_bug.cgi?id=1041764

Plugin Details

Severity: Medium

ID: 102555

File Name: openSUSE-2017-936.nasl

Version: 3.4

Type: local

Agent: unix

Published: 8/18/2017

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4

Vector: AV:N/AC:L/Au:S/C:N/I:N/A:P

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libldap-2_4-2, p-cpe:/a:novell:opensuse:libldap-2_4-2-32bit, p-cpe:/a:novell:opensuse:libldap-2_4-2-debuginfo, p-cpe:/a:novell:opensuse:libldap-2_4-2-debuginfo-32bit, p-cpe:/a:novell:opensuse:libldap-data, p-cpe:/a:novell:opensuse:openldap2, p-cpe:/a:novell:opensuse:openldap2-back-meta, p-cpe:/a:novell:opensuse:openldap2-back-meta-debuginfo, p-cpe:/a:novell:opensuse:openldap2-back-perl, p-cpe:/a:novell:opensuse:openldap2-back-perl-debuginfo, p-cpe:/a:novell:opensuse:openldap2-back-sock, p-cpe:/a:novell:opensuse:openldap2-back-sock-debuginfo, p-cpe:/a:novell:opensuse:openldap2-back-sql, p-cpe:/a:novell:opensuse:openldap2-back-sql-debuginfo, p-cpe:/a:novell:opensuse:openldap2-client, p-cpe:/a:novell:opensuse:openldap2-client-debuginfo, p-cpe:/a:novell:opensuse:openldap2-contrib, p-cpe:/a:novell:opensuse:openldap2-contrib-debuginfo, p-cpe:/a:novell:opensuse:openldap2-debuginfo, p-cpe:/a:novell:opensuse:openldap2-debugsource, p-cpe:/a:novell:opensuse:openldap2-devel, p-cpe:/a:novell:opensuse:openldap2-devel-32bit, p-cpe:/a:novell:opensuse:openldap2-devel-static, p-cpe:/a:novell:opensuse:openldap2-ppolicy-check-password, p-cpe:/a:novell:opensuse:openldap2-ppolicy-check-password-debuginfo, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 8/16/2017

Reference Information

CVE: CVE-2017-9287